# Uses of Interface
java.lang.classfile.ClassHierarchyResolver.ClassHierarchyInfo

Packages that use ClassHierarchyResolver.ClassHierarchyInfo
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of ClassHierarchyResolver.ClassHierarchyInfo in java.lang.classfile

Methods in java.lang.classfile that return ClassHierarchyResolver.ClassHierarchyInfo
Modifier and Type
Method
Description
`ClassHierarchyResolver.ClassHierarchyInfo`
ClassHierarchyResolver.`getClassInfo(ClassDesc classDesc)`
Returns the `ClassHierarchyInfo` for a given class name, or `null` if the name is unknown to the resolver.
`static ClassHierarchyResolver.ClassHierarchyInfo`
ClassHierarchyResolver.ClassHierarchyInfo.`ofClass(ClassDesc superClass)`
Indicates that a class is a declared class, with the specific given super class.
`static ClassHierarchyResolver.ClassHierarchyInfo`
ClassHierarchyResolver.ClassHierarchyInfo.`ofInterface()`
Indicates that a class is an interface.
Method parameters in java.lang.classfile with type arguments of type ClassHierarchyResolver.ClassHierarchyInfo
Modifier and Type
Method
Description
`default ClassHierarchyResolver`
ClassHierarchyResolver.`cached(Supplier<Map<ClassDesc, ClassHierarchyResolver.ClassHierarchyInfo>> cacheFactory)`
Returns a `ClassHierarchyResolver` that caches class hierarchy information from this resolver.